POST api/Reminder/CompleteCadence

Request Information

URI Parameters

None.

Body Parameters

CompleteReminderDto
NameDescriptionTypeAdditional information
cadenceId

integer

None.

personId

integer

None.

completedDate

string

None.

cost

decimal number

None.

notes

string

None.

providerContactId

integer

None.

linkedCalendarId

integer

None.

createDomainRecord

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "cadenceId": 1,
  "personId": 2,
  "completedDate": "sample string 3",
  "cost": 1.0,
  "notes": "sample string 4",
  "providerContactId": 1,
  "linkedCalendarId": 1,
  "createDomainRecord": true
}

application/xml, text/xml

Sample:
<CompleteReminderDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Equestrian.Entities">
  <CadenceId>1</CadenceId>
  <CompletedDate>sample string 3</CompletedDate>
  <Cost>1</Cost>
  <CreateDomainRecord>true</CreateDomainRecord>
  <LinkedCalendarId>1</LinkedCalendarId>
  <Notes>sample string 4</Notes>
  <PersonId>2</PersonId>
  <ProviderContactId>1</ProviderContactId>
</CompleteReminderDto>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.